Create a company spend tier
curl --request POST \
--url https://www.ruddr.io/api/workspace/company-spend-tiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amount": 123,
"currency": "<string>",
"isActive": true
}
'import requests
url = "https://www.ruddr.io/api/workspace/company-spend-tiers"
payload = {
"name": "<string>",
"amount": 123,
"currency": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', amount: 123, currency: '<string>', isActive: true})
};
fetch('https://www.ruddr.io/api/workspace/company-spend-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e5b9a3d7-2c41-4f86-b0e8-a7d1c6f03e29",
"name": "Mid-Market",
"amount": 25000,
"currency": "USD",
"isActive": true,
"createdAt": "2025-11-03T10:18:55.723Z"
}Company Spend Tiers
Create a company spend tier
POST
/
company-spend-tiers
Create a company spend tier
A tier used to categorize companies based on their annual spend.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the company spend tier. Max 255 characters.
The amount of the company spend tier.
The currency code for the company spend tier. Must be exactly 3 characters. Defaults to the workspace currency if not provided.
Whether the company spend tier is active. Defaults to true if not provided.
Response
200
The unique identifier for the object.
The name of the company spend tier.
The amount of the company spend tier.
The currency code for the company spend tier.
Whether the company spend tier is active.
The timestamp when the object was created.